Skip to main content
POST
Update Session Resource
Every request requires ?beta=true.

Authorizations

X-Api-Key
string
header
default:sk-ant-local-default
required

OMA workspace API key.

Headers

anthropic-version
string
anthropic-beta
string

Path Parameters

session_id
string
required

Path parameter session_id

resource_id
string
required

Path parameter resource_id

Query Parameters

beta
enum<boolean>
required

Selects the beta API contract for this endpoint. Must be true.

Available options:
true

Body

application/json

Request parameters for updating a session resource.

authorization_token
string
required

New authorization token for the resource. Currently only github_repository resources support token rotation.

Required string length: 1 - 4096
Example:

"ghp_exampletoken"

Response

Successful response (OK)

The updated session resource.

type
enum<string>
required
Available options:
github_repository
Example:

"github_repository"

id
string
required
Example:

"sesrsc_011CZkZCKr6eXyl0gWMOdQiu"

url
string
required
Example:

"https://github.com/example-org/example-repo"

mount_path
string
required
Example:

"/workspace/example-repo"

created_at
string<date-time>
required

A timestamp in RFC 3339 format

Example:

"2026-03-15T10:00:00Z"

updated_at
string<date-time>
required

A timestamp in RFC 3339 format

Example:

"2026-03-15T10:00:00Z"

checkout
object
Example: